package jdbc.example.employee.dao;

import java.sql.ResultSet;
import java.sql.SQLException;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.jdbc.core.RowMapper;

import jdbc.example.employee.bean.Employee;

public class EmployeeRowMapper implements RowMapper<Employee> {
	private static Logger log = LoggerFactory.getLogger(EmployeeRowMapper.class);

	public Employee mapRow(ResultSet resultSet, int rowNum) throws SQLException {
		Employee employee = new Employee();
		employee.setEmployeeKey(resultSet.getLong("EMPLOYEE_KEY"));
		employee.setEmpId(resultSet.getString("EMP_ID"));
		employee.setName(resultSet.getString("NAME"));
		employee.setDeptCode(resultSet.getString("DEPT_CODE"));
		employee.setBasicSal(resultSet.getDouble("BASIC_SAL"));
		employee.setDateOfJoining(resultSet.getDate("DATE_OF_JOINING"));
		employee.setAddress(resultSet.getString("ADDRESS"));
		return employee;
	};
}
